2024-12-10  Werner Koch  <wk@gnupg.org>

	Release 0.11.0.
	+ commit 769d08a0768af378e0152b66a4993acd60d733f4


	Add the commit-id to the final tarball.
	+ commit 90bc007b847472df7c64f673b0e7512281e59ba4
	* Makefile.am (release): Pass --pax-options to tar.
	* configure.ac: For the use of PAX tar.

	Update autogen.sh.
	+ commit 53e01417247a292b966ba099fc4541bb8113b2e7
	* autogen.sh: Update from libgpg-error.
	* configure.ac (mym4_commitid): New.
	(BUILD_COMMITID): New.
	* src/helpmenu.c (gpa_help_about): Show the commit-id and not just the
	revision.

2024-12-08  Werner Koch  <wk@gnupg.org>

	Make make distcheck work again.
	+ commit 6cf1510b08324750bcc36b1fd22d4d7f83028827
	* src/Makefile.am (EXTRA_DIST): Add org.gnupg.gpa.src.gresource.xml.
	* po/POTFILES.in: Remove unused keyimseldlg.c

2024-02-07  Werner Koch  <wk@gnupg.org>

	Add very basic support for PIV cards.
	+ commit 596b953438e0134f2f7fde9b456ffb5d5ed38fd5
	* src/cm-piv.c: New.
	* src/cm-piv.h: New.
	* src/Makefile.am (gpa_cardman_sources): Add them.
	* src/cardman.c: Support PIV.
	* src/keytable.c (gpa_keytable_ensure): New.
	(gpa_keytable_lookup_key): Replace code by a call the new func.

	Fix typo in a menu entry.
	+ commit fc72ba2a3e7db2f642f38ade5dc08b0241530df4


2023-07-28  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update gpg-error.m4 and libassuan.m4.
	+ commit 12b102444d84f87b6a8556cc39b6d0859bd77179
	* m4/gpg-error.m4: Update from libgpg 1.47.
	* m4/libassuan.m4: Update from libassuan master.

2022-11-29  Ineiev  <ineiev@gnu.org>

	po: Update Russian translation.
	+ commit 6b134447a30a70c219ade5c7afff11754878f9b6


2022-11-16  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update *.m4 and configure.ac.
	+ commit 7bc02c5974c1778ad669bf96fd0fe0de92f4ad6f
	* configure.ac (AC_HEADER_STDC): Remove obsolete feature.
	(AM_PATH_GTK_3_0): Use PKG_CHECK_MODULES.
	* m4/pkg.m4: New.
	* m4/gpg-error.m4: Update from libgpg-error master.
	* m4/gpgme.m4: Update from gpgme master.
	* m4/libassuan.m4: Update from libassuan master.

	build: Support out-of-source build.
	+ commit cb4e90a0baad97839f1f745a9cb3f041cf494cb4
	* src/Makefile.am (org.gnupg.gpa.src.c): Specify SRCDIR
	to allow out-of-source build.

2022-11-12  Andreas Rönnquist  <gusnan@librem.one>

	Replace deprecated STOCK_ items with standard strings.
	+ commit 8e7eb8042b2d301d335be491853ad68c72459cf3


	Fix alignment in Card details.
	+ commit b24dd25d65533a60f4983a320833cf07e2ca45dd


	Don't use gtk_scrolled_window_add_with_viewport.
	+ commit 10f5bd0c710ef0806b7da2c0286da3d1ddd7202c


	Don't use misc_set_alignment.
	+ commit 0b319a0add394e92db9f51551c7f447a1aa6bdbf


2022-11-11  Andreas Rönnquist  <gusnan@librem.one>

	Fix casting to dialog in get_content_area calls.
	+ commit 81f7560c3b0e7a8b879d38d4efa06aa755728d39


	Remove deprecated function call set_alternative_button_order.
	+ commit 3b1885e0401f5e001863a5900935dd7a55285c92


	Fix casting to box.
	+ commit 46f98b0e8668556e906df965df22133fb4edd037


	Migrate from vbox to box.
	+ commit 6a1716d6a764cc21ee6f8ba69b87393aa69a4220


	Fix casting to Dialog in gtk_dialog_get_content_area.
	+ commit 62902e2d5a4f97b83d1e5b945a92fdcd3735c77b


	Remove deprecated gtk_dialog_set_alternative_button_order.
	+ commit 3f87efc905c0944ddb84c372623a8adae152aaca


	Fix warning 'not enough variable arguments to fit a sentinel'
	+ commit 5a1fdef3a14d3588f763f16c6ddcefde22889ca6


	Fix error handling.
	+ commit bbb84fc4cf29bd27b1bf226d10f235c369dbe0ff


	Fix error handler for gtk_builder.
	+ commit 5dab67be14fd6be6759dce0dbd625495c31bf5aa


	Cast toolbar to GtkWidget.
	+ commit a73a3d0a69214148d3566983db51254627c87a4d


	Fix gtk_builder error handling.
	+ commit dd60257dc26bf03e41f5ec47a445f3726ff19136


	Fix error handling.
	+ commit 9bc9c0240f0beda406c607eeec5aa8e9a8057290


	Remove gtk_tree_view_set_rules_hint, deprecated.
	+ commit 895f432545d0f08688b394568bd857a6337115cc


	Fix casting to GtkDialog.
	+ commit fa46f47b2ebf1d9b4c0bfceddfa35cc4f963f2b5


	Use widget halign and valign instead of set_alignment.
	+ commit 823c43f23b53a3a523a93c320ec7b513e4131710


	Fix casting to GTK_DIALOG in get_content_area.
	+ commit f86615b9540dd87c9d3a02f9fffabb7e682ce592


	Migrate to GtkBuilder away from Gtk2 Action groups.
	+ commit 84dcbf495dbe9dcbaaef60d964cbc0465536505a


	Fix alignment of key details, and a small margin.
	+ commit fee307a5e73975de982e6add6d5d901d9e9b71bd


	Migrate to gtk_separator from gtk_hseparator.
	+ commit 8fff2c4addf66002f01cfda0ad4210314656f6c3


	Migrate to gtk_box_new.
	+ commit 046695f6f9baaae80bef0efd6a2ad917f58e58ed


	Use gtk_box instead of gtk_hbox/vbox.
	+ commit 4abdd9b5c7f8272b4f51af1a3c693a2fc285e9c2


	Cast to GTK_COMBO_BOX_TEXT.
	+ commit 13543d5c03e6fd983a0584bb31043e8047e564f0


	Replace table with grid.
	+ commit 3ba38d3d371bedebc43a2cba38871694f2ee1bbb


	Fix casting to GTK_COMBO_BOX_TEXT.
	+ commit 178d51180ae4a37541faf40e7652e5d9052a5d51


	Use halign/valign instead of misc_set_alignment.
	+ commit 0ff9949991464ee27517c787fa053c06a3b5cc0b


	Fix casting in gtk_image_get_pivbuf.
	+ commit 848ad3438877bb5d10aab801f5b571d2f8da6d6f


2022-11-10  Andreas Rönnquist  <gusnan@librem.one>

	Replace set_alignment with set_halign/valign.
	+ commit 8635370a89cf9d390f74e147c9e6a2a8aed263ff


	Mirgate away from misc_set_alignment to widget_set_(h,v)align.
	+ commit 74a14de44cc4abab90c6b16d6d8867238d681321


	table to grid in keysigndlg.
	+ commit 3568955b2675a803da365634f1f3f8bf6781832a


	Cast to GTK_WIDGET to remove warning.
	+ commit 706e41f6f43bc18744e0d786e5d56104717d8271


	Migrate from hbox to box.
	+ commit c9169d40cd36f3ad17f3b4b15811945ffd133420


	Cast to dialog to remove warning.
	+ commit 52f140021ed0ac82a01013ceacc28015964ead96


	Cast properly to ComboBoxText.
	+ commit 3561cfd69d1a0e4fb7f67c1944400cfdac36d861


	Remove deprecated gtk_dialog_set_alternative_button_order.
	+ commit caa2489dad1576f574c5e6f94b1bfae19da51969


	Fix menu actions in file manager.
	+ commit 91bad660ca62ea59efa023759ac89d5f3de52c2d


	Fix key_manager_quit to quit program, not only close window.
	+ commit 3a14b6dd9b0a365e712da75d7a1cbafca9c86e56


	Add tooltips to card manager.
	+ commit b02afc2f8bda29f54351d8cb4aa0c78aa9c177e1


	Add toolbar tooltips for the file manager.
	+ commit 265bfb7bf3c206c099fc478c70d901f4284118a4


	Add toolbar tooltips for the clipboard.
	+ commit 5e91971b2b48463c78eafa62c438558c5b2f0eec


	Add toolbar tooltip to keymanager.
	+ commit 5fbfb69447df099222721c7905876e4e0155888f


	Fix actions for keymanager.
	+ commit c74023b839655eb5770c7f86b1a4f48b5e493f37


2022-11-09  Andreas Rönnquist  <gusnan@librem.one>

	Fix the actions of Clipboard.
	+ commit fd437334052d5beabc87062bef56c4766ccd272d


	Fix alignment of text label of the different windows.
	+ commit 6cac5e6e7c38642f72799d57a469f14efaa5855d


	Migrate from table to grid.
	+ commit 9c27c7da759b8ac508f2ce5dd1b85fcfca8886cc


	Migrate to gtk_box_new in more places.
	+ commit 64515f34c5e3057a49f16478dc55fd7e42322eda


	Remove calls to gtk_tree_view_set_rules_hint.
	+ commit 7c6fcb6f8fa18ea7defccd2cce830656860e0bfe


	Fix casting to GTK_DIALOG to remove warning.
	+ commit 64761f31dbbd791de9d0567a6fa2732a52cb9f7e


	Replacae GTK_STOCK_OK.
	+ commit 2593fad45bfb7f4c151809c3822f70ea69cab78e


	Comment out deprecated gtk_dialog_set_alternative_button_order.
	+ commit c0ed3775fbb83eeafba7cee59e7ca984aa1130bb


	Use label instead of stock item.
	+ commit 4872e840547d45ec9d35e4fb26a5a900e3bbc96a


	Use icon name instead of stock constant.
	+ commit 67889667a8b787b5d9fe05bef9f921e26ba5af0b


2022-11-08  Andreas Rönnquist  <gusnan@librem.one>

	Use icon_name instead of stock.
	+ commit cf775f997e92c72857a0257f46a44b1f5b034347


	Define box as GtkWidget.
	+ commit 782c9f208716fc53b970abf21722c4871d5f2be1


	Don't use STOCK_ items.
	+ commit 814abfe141dc9b0b458849237d789ada6d282765


	Migrate fileman to GSimpleAction.
	+ commit c1101583089177da5400e85fd8850d7e1a249861


	Replace stock icon variables with icon names.
	+ commit 1aeb7ce64d2a44e3cea6f8d2eb15f1a621afdd17


	Cast gtk_dialog_get_content_area to GTK_BOX.
	+ commit 28511471ada11c080f65effa808f7de5b6805cb9


	Gix loading image from stock (use string instead of GTK_STOCK)
	+ commit 042f48b1571aaafc301687cd5fcfe8993a47887f


	Fix casting to GTK_DIALOG where required.
	+ commit 76fa890b31eb718bbb4d65c1a4137304ff6ba235


	Migrate hbox to box.
	+ commit 308b1a277e8a474dd325be9995c9395eabac3391


	Add a specific callback for quit.
	+ commit 1fdbc0b8cbd4ee15d9f34982827b3639d9a63904


	Cast dialog for gtk_dialog_get_context_area.
	+ commit 5e1fb592d8ad882c8c182a2dbff638211be78a2c


	Migrate Clipboard to GSimpleAction.
	+ commit ba864d358066729e46e4960af2cf6596f8535abb


	Fix casting of grid to toolbar.
	+ commit 6f53d25dc3886272142582bb613c2422458770e7


	Fix casting to GTK_BOX to remove warning.
	+ commit e61b5f6b08e6425d666b48d297583abbe5472bda


	Migrate more h/h-box to box.
	+ commit b5a7f54736b36a2202595778bffff3bf0b9a8fe0


	Migrate hbox to box (HORIZONTAL)
	+ commit d1fa00b95017b044f3b1f2ea0ed8a619c3a1a9ab


	Remove deprecated STOCK_OPEN and STOCK_CANCEL items.
	+ commit 23f4b474ee46e740f5cef4ceb6b78ea50d9cb015


	Don't use deprecated GTK_STOCK items.
	+ commit 7058acbe7893bd48e9d9e1b9e6d03660a2427414


	Remove commented unused code.
	+ commit f231cdae62257b252f9470d10613e0bd1b5294fb


	Convert table to grid in keygendlg.
	+ commit b55ecbddfd2233da0a1dd08b3815ec7d10a49e7a


2022-11-07  Andreas Rönnquist  <gusnan@librem.one>

	Fix hbox and vbox to standard boxes.
	+ commit ab6147d3c9d11bd5654d60016301e04b8f744ca3


	Remove unneeded gtk_builder_new_from_string call.
	+ commit 2da9b367d3248963b4853d754b945eb943efa0ab


	Migrate from deprecated gtk_hbox_new.
	+ commit 51c0ab3a0d243107a450e004005cd8d79fdba9ac


	Fix casting in gtk_dialog_get_content_area call.
	+ commit b18bfc297ac10c0cf4413e694dd165783b69c0f3


	Fix menus in keymanager, and fix the popup menu.
	+ commit 609353ffd41d37b2c49b61827e20344ea7918fd9


	Use the image names and not stock items for keys in keylist.
	+ commit 89573b6909fc62713d25f2e0449f04edbc603ad7


	Fix warning about dialog as argument to gtk_dialog_get_content_area.
	+ commit 0602d3a6c498df461e7eb91e5b1f13a03749c5ab


	Migrate to gtk_widget_set_[h/v]align.
	+ commit 1001d1e7662b3c96aa4cc64482c0e3e292f84eb1


	Use gtk_paned_new instead of gtk_vpaned_new.
	+ commit e6b4fab931b0467f3a06a5910221ce058d4380c2


	Add the icons for the keylist.
	+ commit 526c3496cbe85e324ab291c9f05ff08ae9afee17


2022-11-06  Andreas Rönnquist  <gusnan@librem.one>

	Fix icons to use GtkBuildder and xml syntax.
	+ commit 3766f919a49968f363f42fbec09f50d451b38699


	Migrate keygenwizard to GtkBuilder UI.
	+ commit 68abdf20986db5a99a762110783f18052e323c2c


	We use GSimpleAction now, different amount of function arguments.
	+ commit 13df27f89be80f6359f2b2583246c9f605bfb423


	Add more icons to the gresource.
	+ commit 8ee5304edee75d1964b89f89c757b1013186cbef


	Migrate Help Menu to gtkBuilder based UI.
	+ commit bddac75291d22022e0b9b0cc5dcd42f1c64c6fc6


	Migrate key manager to GtkBuilder based UI.
	+ commit f5b1ee1f755b08f94709980f62578072a297eab3


	Correct the mode actions in card manager.
	+ commit cc8aa4c064e93a8254718c4ea58cebfeaaf3f0fc


	Migrate filemanager to GtkBuilder UI.
	+ commit 7da53479c426c134f48d9561be1121fea07a875f


	Migrate clipboard to GtkBuilder UI.
	+ commit e7e495b3325413411e825574963047162656b26a


2022-11-05  Andreas Rönnquist  <gusnan@librem.one>

	Migrate action entries from GtkAction to GSimpleAction.
	+ commit 6477153f262d12fe6cf5a89ed4f751fc63bbba80


	Fix another hbox to box.
	+ commit e4a915d11065de775cb6fe8825ed901ce94325c4


	Move gtk_(h/v)box_new to gtk_box_new.
	+ commit 572b9e0077d065bfcfc2c103a39adf573a8d093f


	Convert cardman to gtk-builder.
	+ commit 18854ba75b3637d159ac360e31886b255a0e9e1c


	Don't need to include images, we use gtk-builder now.
	+ commit 0659f217843626ebe460fa13f0e4f286bb06a188


	Move gpa_application initialization earlier in the process.
	+ commit a01db3e867841794a60b7f38fb1b789e4c82e256


	Add org.gnupg.gpa.src.c/h to gitignore, generated by build system.
	+ commit f096396ac7623ee44768b0283b58d6e8beb1c3f8


	Remove pixmaps folder from build.
	+ commit 2bc67674a3dd40e178ef9c5b1e72ef1538bd8479


	Move pixmaps changelog to root folder, and remove pixmaps folder.
	+ commit 879bfe4e0dc2026d4bfa18d33501ea37f28617ca


	Add initial version of the gresource.
	+ commit 415b9426346a4aac1d7a525769c2fc210fd9e036


	Update makefiles to generate C code from images for gresource.
	+ commit f6dfae5e822b8079a2a68c5185fedf0721ce8090


2022-11-04  Andreas Rönnquist  <gusnan@librem.one>

	Move image files to src folder.
	+ commit 51e9b99dd568ccc2b6624a018f1c08eff980830f


2022-11-01  Andreas Rönnquist  <gusnan@librem.one>

	Fix another hbox -> box (HORIZONTAL)
	+ commit 780aca82a331c9206f7fddafa5d83b82c09e8816


2022-10-31  Andreas Rönnquist  <gusnan@librem.one>

	Fix casting in gtk_dialog_get_content_area call.
	+ commit c4810f06dd00891ec43342087a9e4910413b8b72


	Remove deprecated gtk_dialog_set_alternative_button_order.
	+ commit 42d2edde98569317961c4d945954aa22b46e93d6


	Convert h/v-box to box.
	+ commit 91a48e5b4534775471bd5fc49530fb4d10d90dab


	Cast to GTK_WIDGET to avoid warning.
	+ commit 6940f2ab9e0572ee678319228b88eab50f2bc552


	Migrate GTK_COMBO_BOX to GTK_COMBO_BOX_TEXT.
	+ commit f7f4a652c073b62e1c2167ee16f25d212f6b7c23


	Migrate vbox to box.
	+ commit 654770d549b47d02a5e42f34cc839342f9e7393a


	Replace gtk_hbox_new with gtk_box_new.
	+ commit 1c4fc2eb079f47f667372a5a7a899644ef091967


	Remove deprecated gtk_dialog_set_alternative_button_order.
	+ commit 783091870073f061711134a0e09b9f69ee63104b


	Remove deprecated gtk_dialog_set_alternative_button_order.
	+ commit ffe62a6d621a7b288276f5291a094b56f403e737


	Fix two vbox/hbox to box.
	+ commit 6e95b58122650f6ebce730d381780d9ec99ad324


	Fix another gtk_dialog_get_content_area.
	+ commit 25b31472d9f1e3ce84da58b5ab0e9044dfefba1a


	Fix casting in gtk_dialog_get_content_area.
	+ commit 41f08a465e833a354ef8af578c04af347db30dd8


2022-10-30  Andreas Rönnquist  <gusnan@librem.one>

	Update gitignore.
	+ commit 8dce26a1d8534724ffbc5160b021afdd8534500c


	Migrate to GtkApplication.
	+ commit 97ef72774748645eda6c249ff84e7ce2c205a0f4


2022-10-29  Andreas Rönnquist  <gusnan@librem.one>

	Use gtk_image_new_from_icon_name instead of gtk_image_new_from_stock.
	+ commit 87d113312cf3b3268468d12820d5d69de0514439


	Load smartcard icon from xpm file.
	+ commit a3335d23865ba17edf85242f9c29df1c175d1fd9


2022-10-28  Andreas Rönnquist  <gusnan@librem.one>

	fix gtk_dialog_get_content_area.
	+ commit be280e21eed6a33c05c8874442808bad4023fa80


	Remove gtk_dialog_set_alternative_button_order.
	+ commit cc9f9483967139410d0ac1e9b6b4fdbe43f034b3


	gtk_hbox_new to gtk_box_new(GTK_ORIENTATION_HORIZONTAL.
	+ commit 9a0c870d853f1c8e9e9ddcd7d96f902cb9c0636e


	More conf dialog needs dialog casting.
	+ commit 22369196bcf4da183dff1edf1476237e2fcdc4af


	Comment out gtk_dialog_set_alternative_button_order.
	+ commit 3c34f5c9d1cbdbd8e16537af3bfd0c8a1e0da619


	GTK_COMBO_BOX is really GTK_COMBO_BOX_TEXT.
	+ commit 8d0fc33df943db0bbb83dfba81aed27e7c842861


	gtk_dialog_get_content_area needs parameter casting to GTK_DIALOG.
	+ commit af4d62e2b41b0a47eb2e8318b03a714709fa3881


	gtk_dialog_get_content_area returns a GTK_WIDGET.
	+ commit c4203566113fdb34a13bc4f05897433843a48f92


	Migrate from deprecated gtk_misc_set_alignment.
	+ commit 08bbf32bdbd16f9045e6ca1cc7598d3be1746732


	gtk_vbox_new to gtk_box_new(GTK_ORIENTATION_VERTICAL.
	+ commit d038c6eda01cc53fcb2b038ab9338adcd4c4adea


	Fix incompatible pointer type warning.
	+ commit ed22ed1f369e06f2d8832ac26ceac035eb482b75


	Fix casting in gtk_dialog_get_content_area.
	+ commit a6438f1d05902a4f4b79423477eb74eb9c7ec81c


	Migrate from gtk_misc_set_alignment.
	+ commit 6e992009e99fd5dc55781f7ab020d06136a317e7


	Migrate hbox/vbox to gtk_box_new.
	+ commit 15a7dbde5dc9009d92176f2fac0f6fc4cabbf3b4


2022-10-27  Andreas Rönnquist  <gusnan@librem.one>

	Don't use deprecated gtk_misc_set_alignment.
	+ commit 169f648f25673969d6d124e58e6bdb20382b88dc


	Disable scaling also for cardkey icon in keylist.
	+ commit b8c94902c54f3a524efd46451be75394b484fa75
	We should also disable the scaling for the cardkey icon,
	blue_yellow_cardkey.xpm when used in the keylist.

	Remove unused variable.
	+ commit deb980a392982686ba0c9ba9b0db9a6196b27f4b


	Replace set_alignemt with h/v-alignment functions.
	+ commit 94137e7e7b3d3e9cbb242708a2db7aaf782f3bb9


	gtk_widget_size_request is deprecated, use gtk_widget_get_preferred_size
	+ commit 4e6bf4684d411322e23067cc67b78334332d9d6b


	HBOX is deprecated, replace with BOX.
	+ commit a2d324e79cc60d605804a01389e9925159c707f0


	Remove gtk_tree_view_set_rules_hint.
	+ commit f4f9ca507f8c401193fdd8291dab2827ac2f931c
	gtk_tree_view_set_rules_hint is deprecated, and you are supposed
	to leave this to the GTK theme now.

	See
	https://docs.gtk.org/gtk3/method.TreeView.set_rules_hint.html

	Don't use align widget, set alignment direct on widgets instead.
	+ commit eed45160535f51deaafd1f09ecc213477024335d


	Use box and not hbox or vbox.
	+ commit 84b0d5551d87a2dfa2edd023c57a7db6983f319b


	Fix gtk_misc_set_alignment, use gtk_widget_* functions instead.
	+ commit eacc437d171911a61440fdfc79c56c97e7edde0e


	Fix COMBO_BOXes in cardman.c.
	+ commit e050711695db1f25bd9d9009868c42f3bb8a1dc2


	Migrate from table to grid.
	+ commit ac13faecda4f9e865056d6967bef80c67dfca3ba


2022-10-26  Andreas Rönnquist  <gusnan@librem.one>

	Define box as widget and not as box for dialog_get_content_area.
	+ commit b1ea64da073b0c43038187cc517cf6517e5f6e9d


	Don't use GtkAlignment widgets, which is not necessary.
	+ commit 69e03090aeadd6f0141df0edafc7f8b4d912a3b9


	Migrate tables to grids in cm-openpgp.c.
	+ commit 077f52a6b15377fd9b5e33147851cf3f39e72eb9


	Replace deprecations in cm-netkey.c.
	+ commit b9e8ef690559f266546bede858d43fc659f7a7e2


	Replace deprecations in cm-netkey.c.
	+ commit bca92b3accfc431689d667f28ecb4200a9f5ce0e


	gtk_misc_set_alignment is deprecated.
	+ commit 0fb5828afe18b0f88a582d91a0355f0e173cad2a


	cast widget to dialog for gtk_dialog_get_content_area.
	+ commit c50afbf759ad27229f8aa02f38576d369612d2d3


	passwddlg table to grid.
	+ commit ae9d7fee50adb0762951af995e8bdcc6c9adb1ab


	Migrate cm-dinsig table to grid.
	+ commit 2e760c8d288944b94a7623a6baeb3eaa67ec6219


	gtk_misc_set_alignment is deprecated.
	+ commit 33419db219f4c3f86e3d4152ead90cb1ea5a4483


	VBOX is deprecated, set type to BOX.
	+ commit 3887c37adfe090e05023a0e48afa0c6876a2d8e7


2022-10-25  Andreas Rönnquist  <gusnan@librem.one>

	Define as widget to avoid warnings.
	+ commit 9b495c1f6f17a5ea2f9d62c553cc8ea5f488cad6


	Migrate ownertrust field from table to grid.
	+ commit af877afc94cfd49e42af0e100b14400a149e43a8


	Use gtk_box_new and not gtk_hbox_new.
	+ commit fd40ad5cac4df1ac1e672e0f88d4b085a0a3a565


	Fix warning 'passing argyment from incompatible pointer type'
	+ commit c2b0564c3f2b105956a93ae75f3d04d1f9a7b514


	Fix some deprecated gtk_[v,h]box_new.
	+ commit 0f4f022db8f2b0df4db7c8856de43afc3a04baa5


	Use gtk_box_new instead of gtk_vbox_new.
	+ commit 13c12ae9dda0e8ab6f20312f4dfb0ac6f82fddf3


	Use gtk_box_new instead of gtk_hbox_new.
	+ commit a49b7392c43434b71e023a017b951bbce1f81de4


	Remove some deprecataed UI calls.
	+ commit 4031700ffd81613f8b985e6af8a80192d858364e


	Use setlocale instead of deprecated gtk_set_locale.
	+ commit e16d3162107b17ca3f4aa5083276c9c944a03eab


	USe gtk_combo_box_text_prepend instead of gtk_combo_box_prepend_text.
	+ commit 119afc254cacc8c55c49ac4c2a8178bc3326b8f5


	Use gtk_combo_box_text_new instead of gtk_combo_bxo_entry_new_text.
	+ commit 81be0538081206261dbad177408e3bac9e7795d8


	Use gtk_box_pack_start (without deprecated _defualts)
	+ commit 14026d139f8a13172ee65dc5534003afbf5d5c18


	gtk_mashal_* shouldn't be used.
	+ commit 95e07080a2a08196cafb05b69345ea1d629424b1


	Some drag structs should use functions to access members now.
	+ commit bf202cf9cfa18dc4f4459597f78ebc1ce614f2f8


	Use gtk_dialog_get_content_area instead of dialog->vbox.
	+ commit 06fb6abaf61c19782a7e551951609cc429011363


	Use gtk_combo_box_text_new.
	+ commit 5ee799a30c6b473a794110cfc0e5adc6e6d9b633


	Use gtk_editable_set_editable instead of gtk_entry_set_editable.
	+ commit 77284ea8b0ee5ebe624cf27cd4d05f13b3687e87


	Use gtk_combo_box_text_get_active_text.
	+ commit b9f65ebf5d9722053198d65d42e8f4703b74ad3c
	Use gtk_combo_box_text_get_active_text instead of
	deprecated gtk_combo_box_get_active_text

	Fix another window->vbox (use gtk_dialog_get_content_area)
	+ commit 757a3d93f2ce877299375fa84cdf7b2810e1a6d6


	Use G_OBJECT instead of GTK_OBJECT.
	+ commit edb061d5b449c306ef3780c39e657232e2f268be


	Replace dialog->vbox with gtk_dialog_get_content_area.
	+ commit c8f036629e522a1f6cca5d48a249cfa5a4480ee8


	Replace GTK_WIDGET_IS_SENSITIVE with gtk_widget_is_sensitive.
	+ commit 36dfefcc0764febdaccf4c50532f224bfad9dd75


	Replace deprecated gtk_widget_hide_all with gtk_widget_hide.
	+ commit 7a714bf13a33e375b0026901d88b32fd672bb996


	Replace gtk_combo_box_append_text with gtk_combo_box_text_append.
	+ commit 8b87946b34b11b41ebf0c48ad979d5868b67af69


	Replace deprecated gtk_box_pack_start_defaults with gtk_box_pack_start.
	+ commit 0f4b8188c1d0f71102715bd4beb9a619953b8ea8


2022-10-24  Andreas Rönnquist  <gusnan@librem.one>

	Check for GTK 3 in configure.ac.
	+ commit 3eaf089082cac49867cad5de7895530831c61adc


2021-09-09  Werner Koch  <wk@gnupg.org>

	core: Map an LotW OID in DNs.
	+ commit faaf0b7b72bd3c4ed02490132a693d0692b45bfb
	* src/format-dn.c (parse_dn_part): Add Callsign.

2021-04-15  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update m4/gpg-error.m4.
	+ commit 77a069390073f7baf7ff780e1ebc7f98ed8b54a4
	* m4/gpg-error.m4: Update from libgpg-error.

	Let autogen.sh create the VERSION file.
	+ commit 240fb98c6e6be8d5fc16a4a54d85d92a6861e0af
	* autogen.sh: Update from Libgpg-error
	* configure.ac: Use autogen.sh --find-version.
	* Makefile.am (dist-hook): Do not create VERSION.
	(EXTRA_DIST): Add VERSION.
	* autogen.rc: Remove obsolete use of --with-gpg-error-prefix and
	--with-libassuan-prefix, which is not needed any more.

2020-11-20  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update to newer autoconf constructs.
	+ commit b40ff3b1f20dec3b14ca72d0af50137e38cd1808
	* configure.ac: Use AC_CONFIG_HEADERS instead of AM_CONFIG_HEADER.
	Use AC_USE_SYSTEM_EXTENSIONS instead of AC_GNU_SOURCE.
	Use AS_HELP_STRING instead of AC_HELP_STRING.
	(AC_ISC_POSIX): Replace by AC_SEARCH_LIBS.
	(AC_STDC_HEADERS): Replace by AC_HEADER_STDC.
	(byte, ushort, ulong, u16, u32): Use AC_CHECK_TYPES.
	* m4/check_zlib.m4: Use AS_HELP_STRING instead of AC_HELP_STRING.
	Use AC_MSG_ERROR instead of AC_ERROR.
	* m4/gettext.m4: Update from gnulib.
	* m4/gpg-error.m4: Update from libgpg-error.
	* m4/gpgme.m4: Update from gpgme.
	* m4/libassuan.m4: Update from libassuan.

2020-08-30  DebXWoody  <stefan@debxwoody.de>

	Adding key size 4096 for key generation.
	+ commit ee215574aa10c7fad0304edd8cb323fca8ba5218
	Added key size 4096 to "generation Key" dialog.

2020-05-07  Werner Koch  <wk@gnupg.org>

	Make the card manager work again with gnupg devel (2.3)
	+ commit 49c53193aba49103db28ad3f92ea53dc16ef41d8
	* src/cardman.c (scd_status_cb): Use case-insensitive compare for the
	apptype values.

2019-05-13  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update m4/iconv.m4.
	+ commit 1cb82dcfcea46878cad353022c8f537d4c9d879d
	* m4/iconv.m4: Update from gettext 0.20.1.

2018-10-24  Werner Koch  <wk@gnupg.org>

	Trim tooltips before displaying.
	+ commit 70858dcd6062f2e77956b5dd14597d38633bb09a
	* src/gtktools.c (gpa_add_tooltip): Strip traling LFs.
	* src/confdialog.c (create_dialog_tabs_2): Use gpa_add_tooltip.

2018-10-18  Werner Koch  <wk@gnupg.org>

	Replace use of the GPGME_KEYLIST_MODE_LOCATE alias.
	+ commit d7f0e50b7a455dc98df933e18ea6718b9e2649c3
	* src/gpaimportserverop.c (search_keys): Use Extern and local instead.

	Allow searchin in the key listing also for mail addresses.
	+ commit 9ac18119fb3c82197169718f1c7d5786119398ce
	* src/keylist.c (search_keylist_function): Hack to search for a mail
	address.

2018-10-16  Werner Koch  <wk@gnupg.org>

	Release 0.10.0.
	+ commit bb097c7b8bb067b6b5dfca1cc62f508845979f54
	* configure.ac: Modernize version number stuff.

	Require more modern versions of libraries.
	+ commit 40e0c2e6d4381e8363349a72028a7190e20ec6a8
	* configure.ac: Require gpg-error 1.27, assuan 2.4.2, gpgme 1.9.0.
	Remove all conditional gpgme code for older versions.
	* src/gpgmeedit.c (USE_GPGME_INTERACT): Remove and always use the
	modern interact functions.

2018-10-16  Ineiev  <ineiev@gnu.org>

	po: Update Russian translation.
	+ commit 82ec950925c98c2c7698f09ce4afb6bb5ac615c7


2018-10-16  Werner Koch  <wk@gnupg.org>

	Make sure valid utf-8 is passed to GtkTextView.
	+ commit dd43dd9014995e9eae149d008d74ca246293c946
	* src/gpacontext.c (gpa_context_get_diag): Change and convert if
	needed.

	po: Update German translation.
	+ commit 728f09629698bc86bfbcf89f1228bf6d4b0d441a


	In --locate-key mode ley Retrieve_Key not search in Local.
	+ commit 83227b81ae3f61d68526a87998498ec2f7b95334
	* src/gpaimportserverop.c (search_keys): Do not search in local
	keyring.
	* src/gparecvkeydlg.c (gpa_receive_key_dialog_init): Make Enter work
	in the input field.

	Add more details buttons to error dialogs.
	+ commit 1ca0eb42967a9cc822eadb295f8dacc770d816de


	Make diagnostic dialog scrollable.
	+ commit 210c7c375df1222e2e10c0ea44e8b62a1ad569fa
	* src/gpacontext.c (gpa_context_get_diag): Prepend version info.
	* src/gtktools.c (create_diagnostics_dialog): New.
	(show_gtk_message): Use new dialog.

2018-10-15  Werner Koch  <wk@gnupg.org>

	po: Update Swedish translation.
	+ commit 38bdae22d127e05903310ea1596d97c562ecd7c5


	Add context menu to copy a private key to the clipboard.
	+ commit f8d64d13a15a4c8eaf8d41c536e1534ea2405ddf
	* src/gpaexportop.c (PROP_SECRET): New.
	(gpa_export_operation_get_property): Add new property.
	(gpa_export_operation_set_property): Add new property.
	(gpa_export_operation_class_init): Install property.
	(gpa_export_operation_idle_cb): USe Secret export mode.
	* src/gpaexportclipop.c
	(gpa_export_clipboard_operation_complete_export): Improve message.
	* src/gpaexportclipop.c (gpa_export_clipboard_operation_new): Add arg
	'secret' and change caller.
	* src/keymanager.c (key_manager_copy_sec): New.
	(key_manager_action_new): Register function.

	Add diagnostic button to some error report dialogs.
	+ commit 9e119866c02ceba8f596fa16a990b5fae562c202
[--snip--]
